<!DOCTYPE html>
<html>
    <head>
        <title>barre recherche</title>
        <meta charset="utf-8" />
		<link rel="stylesheet" href="bibliotheque.css" />
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>			
    </head>
    <body>
	<form method="post" action="barre_recherche.php">
		<div class="fond" id="fond_barre_recherche">
	
			<div class="barre_nav" id="barre_nav_barre_recherche">
				<ul>
					<div>
						<li>
							<a href="page_accueil.php">Home</a>
						</li>
						<li>
							<a href="a_propos.php">A propos</a>
						</li>
						<li>
							<a href="fiches.php">Fiches</a>
						</li>
						<li>
							<a href="rechercher.php">Rechercher</a>
						</li>
						<li>
							<div class="barre_recherche">
							<form method="post" action="barre_recherche.php">
								<input type="text" name="requete" placeholder="votre recherche..." class="barre_recherche_texte" /><input type="submit" value="go" class="go" />
							</form>	
							</div>
						</li>
					</div>
				</ul>
			</div>	
			
			<div class="sous_fond" id="sous_fond_barre_recherche">
					
				<p class="resultat">
				<?php
					$req=isset($_POST['requete']) ? $_POST['requete'] : NULL;

					$bdd = new PDO('mysql:host=localhost;dbname=bibliotheque;charset=utf8','root',''); 
					
					$query = $bdd->prepare('SELECT * FROM he WHERE NomHE LIKE ? '); 
					$query->execute(array("%$req%"));
					
					$retour = $query->fetchAll();
					$longueur = strlen($_POST['requete']);
					
					$nb_resultats = count($retour);
					
					 
					if($req == NULL){ 
						echo ' Aucune recherche n\'a été effectuée';
					}					
					elseif($nb_resultats == 0 or $longueur <= 1){ 
						echo ' Pas de résultat';
					}
					elseif($nb_resultats == 1 and $longueur > 1){
						echo $nb_resultats;
						echo ' résultat trouvé'; 
					} 
					elseif($nb_resultats > 1 and $longueur > 1){
						echo $nb_resultats;
						echo ' résultats trouvés'; 
					}  

					?>
				</p>
				<p id="resultat_affichage">
				<div class="recherche_bloc">
				<?php
					$req=isset($_POST['requete']) ? $_POST['requete'] : NULL;
					$bdd = new PDO('mysql:host=localhost;dbname=bibliotheque;charset=utf8','root','');
					

					$query = $bdd->prepare('SELECT * FROM he WHERE NomHE LIKE ? '); 
					$query->execute(array("%$req%"));
					
					
					$nb_resultats = count($query);
					if($req != NULL and $longueur > 1){foreach($query->fetchAll() as $donnees){
				?>
				
					<div class="fiche_HE" style="background : url('<?php echo $donnees['Image3'];?>');">
						<div class="fiche_HE_cacher">
							<h1><?php echo $donnees['NomHE']; ?></h1>
							<h2>“<?php echo $donnees['NomLatin']; ?>”</h2>
							<a href="fiche.php?billet=<?php echo $donnees['idHE']; ?>" style="background : #<?php echo $donnees['Couleur']; ?>">Voir</a>
						</div>
					</div>		
				
				<?php		
					}}
				?>
				</div>

				</p>


			</div>
		</div>	
	</form>
	</body>
</html>